﻿using System;

namespace Chocoat
{
    /// <summary>
    ///メッセージの種類の列挙です。
    /// </summary>
    public enum MessageType
    {
        /// <summary>
        /// Priv Message です。
        /// </summary>
        PrivMessage,

        /// <summary>
        /// Notice Message です。
        /// </summary>
        NoticeMessage,

        /// <summary>
        /// CTCP Message です。
        /// </summary>
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "CTCP")]
        CTCPMessage,

        /// <summary>
        /// CTCP Reply Message です。
        /// </summary>
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "CTCP")]
        CTCPReplyMessage,
    }
}
