﻿using System;

namespace DoubleX3rd
{
    /// <summary>
    /// 侵蝕値が変更された事を通知するイベントのデリゲートです。
    /// </summary>
    /// <param name="sender">発生させたオブジェクト</param>
    /// <param name="e">侵蝕値のイベントデータ</param>
    public delegate void ErosionRateChangedEventHandler(object sender, ErosionRateChangedEventArgs e);

    /// <summary>
    /// ダイスロールの値が変更された事を通知するイベントのデリゲートです。
    /// </summary>
    /// <param name="sender">発生させたオブジェクト</param>
    /// <param name="e">イベントデータ</param>
    public delegate void DiceRollChangedEventHandler(object sender, DiceRollChangedEventArgs e);
}
