﻿using System;

namespace DoubleX3rd
{
    /// <summary>
    /// エフェクトのタイプで使われる列挙
    /// </summary>
    public enum EffectTypes
    {
        /// <summary>
        /// 0
        /// </summary>
        [EnumString("0")]
        Zero = 0,

        /// <summary>
        /// +1
        /// </summary>
        [EnumString("1")]
        Plus = 1,

        /// <summary>
        /// -1
        /// </summary>
        [EnumString("-1")]
        Minus = 2,

        /// <summary>
        /// Lv
        /// </summary>
        [EnumString("Lv")]
        PlusLevel = 3,

        /// <summary>
        /// -Lv
        /// </summary>
        [EnumString("-Lv")]
        MinusLevel = 4,
    }
}
