﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using System.IO;
using System.Data.SqlServerCe;

namespace DoubleX3rd
{
    static class Program
    {
        /// <summary>
        /// アプリケーションのメイン エントリ ポイントです。
        /// </summary>
        [STAThread]
        static void Main()
        {
            //InitializeDatabase();

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new Form1());
        }

        private const string DatabaseFile = "dxdb.sdf";

        private static void InitializeDatabase()
        {
            if (!File.Exists(DatabaseFile))
            {
                using (SqlCeEngine engine = new SqlCeEngine(Properties.Settings.Default.ConnectionString))
                {
                    engine.CreateDatabase();
                }

                using (SqlCeConnection con = new SqlCeConnection(Properties.Settings.Default.ConnectionString))
                {
                    con.Open();
                    SqlCeCommand command = new SqlCeCommand("", con);
                    command.ExecuteNonQuery();

                    con.Close();
                }
            }
        }
    }
}
